#!/usr/bin/env bash

source header

show_install_dep (){
write_header
write_header " Installation package "

if (whiptail --title "Boite de dialogue Oui / Non" --yesno "Installation des dependances ?" 10 60) then
 echo -e "\n${GRIS} --------- </> ---------- ${NOC}\n"
 echo -e "\n ${ORANGE}nodejs - buid-essential - bar - fd \n"
 echo -e "   nload   apachetop sniffit  speedometer ttylog ttyload  iftop slurm nload nethogs net-tools iptraf netdiag vnstat "
 echo -e "   fd bat lnav build-essential  libcurl4 sqlite re2c  git  figlet dstat vnstat vnstati  atop htop  sysstat "
 echo -e "   multitail chkconfig at gcc nscd  collectl acct  logtail${NOC}"
 echo -e "\n${GRIS} --------- </> ---------- ${NOC}\n"

# echo "[✔] Installation tool";
#if [ -d "/usr/share/doc/" ] ;
#then

echo "[ ] Do you want to install Monitoring tools? [Y/n]:" ;
read yesorno
if [ $yesorno == Y ] ;
then
echo -e "\n${YELLOW}  APT ...   inprogress ${GRIS}"
apt-get install nload apachetop sniffit  speedometer ttylog ttyload  iftop slurm nload nethogs net-tools iptraf netdiag 
apt_install_all
else
 pause
# exit
fi

# curl -sL https://deb.nodesource.com/setup_10.x | bash -
# apt-get install -y nodejs
# echo -e " ${GREEN}  ALL  OK${NOC}"
 else
      echo "   ...bye"
apt_install_all
 fi
pause 
#"Press [Enter] to Continue ..."
}

apt_install_all (){
echo "[ ] Do you want to install All packages required? [Y/n]:" ;
read yesorno
if [ $yesorno == "Y" ] ;
then
echo -e "\n${YELLOW}  APT ...   inprogress ${GRIS}"
apt-get install nload apachetop sniffit  speedometer ttylog ttyload  iftop slurm nload nethogs net-tools iptraf netdiag vnstat fd bat lnav build-essential  libcurl4 sqlite re2c  git  figlet dstat vnstat vnstati  atop htop sysstat multitail chkconfig at gcc nscd  collectl acct  logtail discuss fd bat lnav build-essential  libcurl4  libpcre
else
 pause
# exit
fi

}

show_install_dep
